package com.iformall.service;

import com.github.pagehelper.PageInfo;
import com.iformall.common.ResultData;
import com.iformall.domain.po.WxMsgSignature;

public interface WxMsgSignatureService {

	/**
     * 根据实体查询分页列表
     *
     * @param record
     * @param offset
     * @param limit
     * @return
     */
	PageInfo<WxMsgSignature> listAsPage(WxMsgSignature record, Integer pageIndex, Integer pageSize);
	
	/**
     * 根据Id获得实体
     *
     * @param id
     * @return
     */
    WxMsgSignature getById(Long id);
    
        /**
     * 保存或更新实体
     *
     * @param record
     */
    void saveOrUpdate(WxMsgSignature record);

    /**
     * 根据Id删除实体
     *
     * @param id
     */
    void deleteById(Long id);


    ResultData getsignaturelist(String tenantId);

}
